/* ******************************************************** */
/* !EXT:ke_search CSS definitions (Classes partially grandfathered from indexed_search) */
/* Stand: 03.12.2018 */
/* Projekt: www.amnog.de */
/* ******************************************************** */

/* ********************************* */
/* Suchfeld - Alle Seiten */
/* ********************************* */
.searchbox {
	position: relative;
	float: left;
	margin: 0;
	padding: 0;
	line-height: 140%;
}

	.searchbox form input {
		position: relative;
		margin: 0 10px 0 0;
		padding: 0.5em 2.5em 0.5em 0.1em;
		width: 210px;
		height: 1em;
		border: 1px solid #fff;
		border-radius: 2px;
	}
	@media screen and (max-width: 800px) {
		.searchbox form input {
			width: 80px;
		}
		.searchbox form legend {
			display: none;
		}
	}
	@media screen and (max-width: 639px) {
			.searchbox {
				position: absolute;
				top: 4.5em;
				left: 3.3em;
			}
			.searchbox form input {
				width: 210px;
				line-height: 100%;
				padding: 0.2em 2em 0.2em 0.1em;
			}
	}

	.searchbox form button {
		position: absolute;
			top: 0;
			right: 10px;
		margin: 0;
		padding: 0.45em 0.4em 0.1em 0.4em;
		font-size: 120%;
		background: transparent;
		border: none;
		border-left: 1px solid #ECF3CE;
		cursor: pointer;
	}
		.searchbox form button:hover {
				background: #ceda26;
				cursor: pointer;
			}
			.searchbox form button:after {
				position: relative;
					top: -0.15em;
					left: 0;
				font-family: 'FontAwesome';
				font-size: 100%;
				content:"\f002";
				color: #448193;
				transition: color 0.35s ease-in-out;
			}
				.searchbox form button:hover:after {
					color: #448193;
				}
			@media screen and (max-width: 639px) {
				.searchbox form button {
					padding: 0.35em 0.5em 0em 0.35em;
					font-size: 100%;
				}
				.searchbox form button:after {
					position: relative;
					top: -0.15em;
					left: 0;
					font-family: 'FontAwesome';
					font-size: 90%;
					content:"\f002";
					color: #448193;
					transition: color 0.35s ease-in-out;
				}
				.searchbox form button:hover:after {
					color: #448193;
				}
			}

		.searchbox legend {
			float: right;
			color: #a6bfc8;
			font-family: 'Roboto-Regular'; /* bold */
			font-weight: normal;
			padding: 0.2em 0 0 0;
			transition: color 0.5s ease-in-out;
		}
			.searchbox:hover legend,
			.searchbox:focus legend {
				color: #ceda26;
			}

#kesearch_ordering ul {
	list-style: none;
	padding: 0;
	margin: 0.5em 0;
}
#kesearch_ordering ul li {
	display: inline-block;
}
#kesearch_ordering ul li.sortlink {
	display: inline-block;
	font-size: 95%;
	border: 1px solid #448193;
	border-radius: 2px;
	padding: 0.2em;
	color: #ffffff;
	background: #448193;
	transition: background 0.5s ease-out;
	line-height: 125%;
	clear: both;
	width: auto;
	text-decoration: none;
}
	#kesearch_ordering ul li.sortlink a:hover,
	#kesearch_ordering ul li.sortlink a {
		color: inherit;
		background: inherit;
		text-decoration: none;
	}

		#kesearch_ordering ul li.sortlink span.up,
		#kesearch_ordering ul li.sortlink span.down {
			display: inline-block;
		}
		#kesearch_ordering ul li.sortlink span.up:after,
		#kesearch_ordering ul li.sortlink span.down:after {
				position: relative;
				padding-left: 0.2em;
				font-family: 'FontAwesome';
				content: "\f077"; /* chevron-up */
			}
			#kesearch_ordering ul li.sortlink span.down:after {
					content: "\f078"; /* chevron-down */
				}
	#kesearch_ordering ul li strong {
		font-weight: 300 !important; /* normal */
	}

/* ********************************* */
/* Filter für Suchergebnisse */
/* ********************************* */
#form_kesearch_pi1 .submitbutt,
#form_kesearch_pi1 .resetbutt,
#form_kesearch_pi1 div.list { /* Filtergruppe(n) */
  float: left;
  width: 48%;
  margin-right: 2%;
}
@media screen and (max-width: 1081px) {
	#form_kesearch_pi1 .submitbutt,
	#form_kesearch_pi1 .resetbutt,
  #form_kesearch_pi1 div.list { /* Filtergruppe(n) */
    width: 100%;
  }
}

#form_kesearch_pi1 div.list span.head { /* Titel Filtergruppe */
	display: block;
	margin: 0.5em 0;
	font-size: 140%;
	font-family: 'Roboto-Regular'; /* bold */
	font-weight: normal;
	color: #448193;
}

#form_kesearch_pi1 div.list ul.checkboxList { /* Checkboxen */
  padding: 0;
}

#form_kesearch_pi1 div.list ul.checkboxList li { /* Checkboxen */
  visibility: visible;
  display: block;
  padding: 0;
font-size: 85%;
}
#form_kesearch_pi1 div.list ul.checkboxList li input {
  display: none;
}
  #form_kesearch_pi1 div.list ul.checkboxList li input + label::before {
    display: inline-block;
    margin-top: 0.1em;
    width: 1.2em;
    height: 1em;
    font-family: FontAwesome;
    font-size: 110%;
    content: '\f0c8'; /* square */
    color: #a6bfc8;
  }
    #form_kesearch_pi1 div.list ul.checkboxList li input:checked + label::before {
      content: '\f14a'; /* check-square */
      color: #448193;
    }

#form_kesearch_pi1 div.list ul.checkboxList li label {
  display: inline;
  width: auto;
  padding: 0;
  font-size: 100%;
  line-height: 100%;
  white-space: normal;
}


#form_kesearch_pi1 .submitbutt input {
	padding: 0.2em 0.3em;
}


#form_kesearch_pi1 .left {
	float: left;
}
#form_kesearch_pi1 .right {
	float: right;
}

#form_kesearch_pi1 #kesearch_filters_clearbutton,
#form_kesearch_pi1 #kesearch_filters {
	clear: both;
}
#form_kesearch_pi1 .clearbutt {
	display: block;
	-webkit-appearance: none;
	margin: 0 0 1em 0;
	width: auto;
}
	#form_kesearch_pi1 .clearbutt a {
		color: #a6bfc8;
		text-decoration: none;
		padding: 0.1em 0.3em;
		transition:  background 0.3s ease-in-out, color 0.3s ease-in-out;
		font-size: 95%;
		border: 1px solid #a6bfc8;
		background: #ffffff;
		cursor: pointer;
	}
		#form_kesearch_pi1 .clearbutt a:hover {
			color: #ffffff;
			background: #a6bfc8;
		}

#form_kesearch_pi1 .resetbutt {
	-webkit-appearance: none;
	margin: 0.9em 0;
	width: auto;
}

	#form_kesearch_pi1 .resetbutt a {
		color: #ffffff;
		text-decoration: none;
		padding: 0.1em 0.3em;
		transition:  background 0.3s ease-in-out, color 0.3s ease-in-out;
		font-size: 95%;
		border: 1px solid #a6bfc8;
		background: #a6bfc8;
		cursor: pointer;
	}
		#form_kesearch_pi1 .resetbutt a:hover {
			color: #a6bfc8;
			background: #ffffff;
		}

/* ********************************* */
/* Suchergebnisse Seite */
/* ********************************* */
.result-list-item {
	clear: both;
	width: 100%;
	margin: 0;
	padding: 1em 0 1em 0;
	border-bottom: 1px dotted #a6bfc8;
	background: #ffffff;
	transition: background 0.3s ease-in-out;
}
    .result-list-item:nth-child(even) {
        background: rgba(166, 191, 200, 0.12);
    }
	.result-list-item:hover {
		background: #eeeeee;
	}

	.result-list-item .teaser_icon {
		float: left;
	}
		.result-list-item .teaser_icon img {
			max-width: 40px;
			border: 1px solid #a6bfc8;
			margin: 5px 5px 5px 0;
		}
	.result-list-item .result-number,
		.result-list-item .result-title {
				font-size: 140%;
				font-weight: 300; /* normal */
				margin: 1em 0 0 0;
				color: #448193;
				transition: text-shadow 0.5s ease-out 0s, text-decoration 0.5s ease-out 0s;
		}
			.result-list-item .result-title span.hit {
				font-weight: bold;
			}

	.result-list-item .result-teaser a {
		text-decoration: none;
		color: #000000;
		font-family: 'Roboto-Light'; /* normal */
	}

			.result-list-item span.hit {
				font-family: 'Roboto-Regular'; /* bold */
				font-weight: normal;
				color: #448193;
				text-shadow: 0px 0px 0px #448193;
			}

/* ********************************* */
/* Suchergebnis - Pagebrowser "Seite ... von ..." */
/* ********************************* */
#kesearch_num_results {
	display: block;
	font-size: 100%;
	font-family: 'Roboto-Regular'; /* bold */
	font-weight: normal;
	margin: 1em 0 0 0;
	padding: 0 0.2em;
	color: #ffffff;
	border-right: 1px solid #ffffff;
	background: #448193;
}
.pages_total .result_txt {
	font-size: 100%;
	font-family: 'Roboto-Regular'; /* bold */
	font-weight: normal;
  margin: 0;
  padding: 0 0.2em;
  	color: #ffffff;
	border-right: 1px solid #ffffff;
	background: #448193;
}

.kesearch_pagebrowser ul {
	list-style: none;
	padding: 0;
	display: table;
	table-layout: fixed;
	width: 100%;
	border-top: 1px dotted #a6bfc8;
	border-bottom: 1px dotted #a6bfc8;
/*	border: 1px solid #9bb0bf */
}
	.kesearch_pagebrowser ul li {
		display: table-cell;
		text-align: center;
		text-shadow: 0px 0px 1px #ffffff;
		color: #ffffff;
		padding: 0;
		background: #448193;
		border-right: 1px solid #ffffff;
	}
		.kesearch_pagebrowser ul li a {
			display: block;
			font-family: 'Roboto-Regular'; /* bold */
			font-weight: normal;
			color: #ffffff;
			background: #448193;
			text-shadow: none;
			text-decoration: none;
			transition:  background 0.3s ease-in-out, color 0.3s ease-in-out;
		}
			.kesearch_pagebrowser ul li a.current {
				background: #a6bfc8;
				color: #ffffff;
			}
			.kesearch_pagebrowser ul li a:hover,
			.kesearch_pagebrowser ul li a.current:hover {
				background: #a6bfc8;
				color: #ffffff;
			}

/* ********************************* */
/* Suchergebnis - Benachrichtigungen */
/* ********************************* */
.tx-kesearch-pi1 .messsage {
  background: #ECF3CE;
  border: 1px solid #a6bfc8;
  margin: 20px 0;
  padding: 0.5em;
  width: calc(100% - 1em);
	display: inline-block;
  color: #448193;
  font-size: 140%;
	font-family: 'Roboto-Regular'; /* bold */
	font-weight: normal;
  text-align: center;
}
